************
* PCREMENU *
************
* Programma voor het selecteren van de printmodules.
*
STORE "-" TO choice
STORE "N" TO akk
DO WHILE choice # "E" 
   ERASE
   @  1,10 SAY "--READER'S DIGEST PRODUCTION ADMINISTRATION CONTROL SYSTEM--"
   @  2,10 SAY "----------------------- RAPPORTERING -----------------------"
   @  4, 0 SAY "PRODUKTIENUMMER"
   IF cur:prod = "*"
      @ 4,16 SAY "GEEN"
   ELSE
      @  4,16 SAY $(cur:prod,1,2) + "/" + $(cur:prod,3,5)
   ENDIF
   @  7, 6 SAY "U KUNT NU GEGEVENS LATEN AFDRUKKEN OVER HET HUIDIGE PRODUKTIENUMMER OF"
   @  8, 6 SAY "OVER MEERDERE PRODUKTIENUMMERS TEGELIJK. CONTROLEER VOORAF DE PRINTER."
   @ 10,25 SAY "1- ORDERZAKFORMULIER (HPR)"
   @ 11,25 SAY "2- DE KAART (HPR)"
   @ 12,25 SAY "3- AKTUELE KOSTEN (HPR)"
   @ 13,25 SAY "4- DEADLINE SUMMARY (MPR)"
   @ 14,25 SAY "5- PROMOTION PLANNING PER PRODUCTLINE (MPR)"
   @ 15,25 SAY "6- PROMOTION PLANNING TOTAAL (MPR)"
   @ 16,25 SAY "E- EINDE"
   @ 18,28 SAY "UW KEUZE SVP :.:"
   @ 22,58 SAY "HUIDIGE DATUM"
   @ 22,72 SAY sysdate
   STORE "-" TO choice
   DO WHILE .NOT. choice $ '123456E' 
      STORE "." TO choice
      @ 18,41 GET choice PICTURE "!"
      READ
      CLEAR GETS
      IF (choice $ "123") .AND. (cur:prod = "*")
         STORE "." TO akk
         @ 22,0 SAY "GEEN PRODUKTIENUMMER GESELECTEERD, DRUK RETURN " GET akk
         READ
         @ 22,0 SAY "                                                  "
         STORE "-" TO choice
      ENDIF
      STORE "-" TO akk
      IF choice $ '123456'
         DO WHILE .NOT. (akk $ '.JN')
            STORE "." TO akk
            @ 22,0 SAY "FUNKTIE UITVOEREN ? (J/N) " GET akk PICTURE "!"
            READ
            CLEAR GETS
         ENDDO
         IF akk # "J"
            STORE "." TO choice
         ENDIF
         @ 22,0 SAY "                             "
      ENDIF
   ENDDO
   IF akk = "J"
      STORE 7 TO line
      DO WHILE line < 22
         @ line,0
         STORE line + 1 TO line
      ENDDO
      DO CASE
         CASE choice = "1"
              DO pcreoz 
              STORE "-" TO choice
         CASE choice = "2"
              DO pcrekrt 
              STORE "-" TO choice
         CASE choice = "3"
              DO pcrecl  
              STORE "-" TO choice
         CASE choice = "4" 
              DO pcredl 
              STORE "-" TO choice
         CASE choice = "5"
              DO pcrepp  
              STORE "-" TO choice
         CASE choice = "6"
              DO pcrept   
              STORE "-" TO choice
      ENDCASE
   ENDIF
ENDDO
RETURN
*
* EINDE PROGRAMMA
*

